| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Modules | Macros | Functions
LPC1830 and LPC4330 NGX Xplorer board support functions
BOARD: LPC18xx and LPC43xx boards

## Detailed Description

## Modules
| BOARD: LPC1830 NGX Xplorer board builds options
| BOARD: LPC4330 NGX Xplorer board builds options
| LPC1830 and LPC4330 NGX Xplorer board System Init code

## Macros
#define | BOARD_NGX_XPLORER_18304330
#define | I2CDEV_UDA1380_ADDR (0x34 >> 1)
#define | UDA1380_I2C_BUS I2C0
#define | LEDS_LED1 0x01
#define | LEDS_LED2 0x02
#define | LEDS_LED3 0x04
#define | LEDS_LED4 0x08
#define | LEDS_NO_LEDS 0x00
#define | BUTTONS_BUTTON1 0x01
#define | JOY_UP 0x01
#define | JOY_DOWN 0x02
#define | JOY_LEFT 0x04
#define | JOY_RIGHT 0x08
#define | JOY_PRESS 0x10
#define | NO_BUTTON_PRESSED 0x00
#define | BUTTONS_BUTTON1_GPIO_PORT_NUM 0
#define | BUTTONS_BUTTON1_GPIO_BIT_NUM 7
#define | LED1_GPIO_PORT_NUM 1
#define | LED1_GPIO_BIT_NUM 11
#define | LED2_GPIO_PORT_NUM 1
#define | LED2_GPIO_BIT_NUM 12

## Functions
void | Board_I2C_Init (I2C_ID_T id)
| Sets up board specific I2C interface.
STATIC INLINE void | Board_I2C_EnableFastPlus (I2C_ID_T id)
| Sets up I2C Fast Plus mode.
STATIC INLINE void | Board_I2C_DisableFastPlus (I2C_ID_T id)
| Disable I2C Fast Plus mode and enables default mode.
void | Board_GPIO_Int_Init (void)
| Initializes board specific GPIO Interrupt.
void | Board_SSP_Init (LPC_SSP_T *pSSP)
| Initialize pin muxing for SSP interface.
void | Board_ENET_GetMacADDR (uint8_t *mcaddr)
| Returns the MAC address assigned to this board.
void | Board_SDMMC_Init (void)
| Initialize pin muxing for SDMMC interface.
void | Board_Buttons_Init (void)
| Initialize button(s) interface on board.
void | Board_Joystick_Init (void)
| Initialize joystick interface on board.
uint8_t | Joystick_GetStatus (void)
| Returns joystick states on board.
uint32_t | Buttons_GetStatus (void)
| Returns button(s) state on board.
void | Board_Audio_Init (LPC_I2S_T *pI2S, int micIn)
| Initialize I2S interface for the board and UDA1380.
void | Serial_CreateStream (void *Stream)
| FIXME.

## Macro Definition Documentation

#define BOARD_NGX_XPLORER_18304330

Definition at line 73 of file board_ngx_xplorer_18304330.h.

#define BUTTONS_BUTTON1 0x01

Definition at line 84 of file board_ngx_xplorer_18304330.h.

#define BUTTONS_BUTTON1_GPIO_BIT_NUM 7

Definition at line 96 of file board_ngx_xplorer_18304330.h.

#define BUTTONS_BUTTON1_GPIO_PORT_NUM 0

Definition at line 95 of file board_ngx_xplorer_18304330.h.

#define I2CDEV_UDA1380_ADDR (0x34 >> 1)

Definition at line 75 of file board_ngx_xplorer_18304330.h.

#define JOY_DOWN 0x02

Definition at line 86 of file board_ngx_xplorer_18304330.h.

#define JOY_LEFT 0x04

Definition at line 87 of file board_ngx_xplorer_18304330.h.

#define JOY_PRESS 0x10

Definition at line 89 of file board_ngx_xplorer_18304330.h.

#define JOY_RIGHT 0x08

Definition at line 88 of file board_ngx_xplorer_18304330.h.

#define JOY_UP 0x01

Definition at line 85 of file board_ngx_xplorer_18304330.h.

#define LED1_GPIO_BIT_NUM 11

Definition at line 98 of file board_ngx_xplorer_18304330.h.

#define LED1_GPIO_PORT_NUM 1

Definition at line 97 of file board_ngx_xplorer_18304330.h.

#define LED2_GPIO_BIT_NUM 12

Definition at line 100 of file board_ngx_xplorer_18304330.h.

#define LED2_GPIO_PORT_NUM 1

Definition at line 99 of file board_ngx_xplorer_18304330.h.

#define LEDS_LED1 0x01

Definition at line 79 of file board_ngx_xplorer_18304330.h.

#define LEDS_LED2 0x02

Definition at line 80 of file board_ngx_xplorer_18304330.h.

#define LEDS_LED3 0x04

Definition at line 81 of file board_ngx_xplorer_18304330.h.

#define LEDS_LED4 0x08

Definition at line 82 of file board_ngx_xplorer_18304330.h.

#define LEDS_NO_LEDS 0x00

Definition at line 83 of file board_ngx_xplorer_18304330.h.

#define NO_BUTTON_PRESSED 0x00

Definition at line 90 of file board_ngx_xplorer_18304330.h.

#define UDA1380_I2C_BUS I2C0

Definition at line 76 of file board_ngx_xplorer_18304330.h.

## Function Documentation

void Board_Audio_Init | ( | LPC_I2S_T * | pI2S,
|  | int | micIn
| ) |  |

Initialize I2S interface for the board and UDA1380.

Parameters

  pI2S | : Pointer to I2S register interface used on this board
  micIn | : If 1 MIC will be used as input, if 0 LINE_IN will be used

Returns
  Nothing

Sets up board specific I2S interface and UDA1380.

Initialize I2S interface for the board and UDA1380.

Parameters

  pI2S | : I2S peripheral to use (Must be LPC_I2S)
  micIn | : If 1 MIC will be used as input device, if 0 LINE_IN will be used as input to Audio Codec.

Returns
  Nothing

Definition at line 717 of file board_ea_devkit_17884088.c.

void Board_Buttons_Init | ( | void |  | ) |

Initialize button(s) interface on board.

Returns
  Nothing

Initializes board specific buttons.

Initialize button(s) interface on board.

Returns
  Nothing

Definition at line 186 of file board_nxp_xpresso_11u14.c.

void Board_ENET_GetMacADDR | ( | uint8_t * | mcaddr | ) |

Returns the MAC address assigned to this board.

Parameters

  mcaddr | : Pointer to 6-byte character array to populate with MAC address

Returns
  Nothing

Parameters

  mcaddr | : Pointer to 6-byte character array to populate with MAC address

Returns
  Nothing

Note
  Returns the MAC address used by Ethernet

Definition at line 461 of file board_ea_devkit_17884088.c.

void Board_GPIO_Int_Init | ( | void |  | ) |

Initializes board specific GPIO Interrupt.

Returns
  Nothing

Definition at line 660 of file board_keil_mcb_18574357.c.

STATIC INLINE void Board_I2C_DisableFastPlus | ( | I2C_ID_T | id | ) |

Disable I2C Fast Plus mode and enables default mode.

Parameters

  id | : Must always be I2C0

Returns
  Nothing

See Also
  Board_I2C_EnableFastPlus()

Definition at line 129 of file board_ngx_xplorer_18304330.h.

STATIC INLINE void Board_I2C_EnableFastPlus | ( | I2C_ID_T | id | ) |

Sets up I2C Fast Plus mode.

Parameters

  id | : Must always be I2C0

Returns
  Nothing

Note
  This function must be called before calling Chip_I2C_SetClockRate() to set clock rates above normal range 100KHz to 400KHz. Only I2C0 supports this mode.

Definition at line 118 of file board_ngx_xplorer_18304330.h.

void Board_I2C_Init | ( | I2C_ID_T | id | ) |

Sets up board specific I2C interface.

Parameters

  id | : I2C Peripheral ID (I2C0, I2C1)

Returns
  Nothing

Sets up board specific I2C interface.

Parameters

  id | : Must be passed as I2C0

Returns
  Nothing

Parameters

  id | : I2C peripheral ID (Must be I2C0)

Returns
  Nothing

Parameters

  id | : I2C peripheral ID (I2C0, I2C1 or I2C2)

Returns
  Nothing

Sets up board specific I2C interface.

Parameters

  id | : Must be passed as I2C0

Returns
  Nothing

Parameters

  id | : I2C peripheral ID (Must be I2C0)

Returns
  Nothing

Definition at line 88 of file board_nxp_xpresso_11c24.h.

void Board_Joystick_Init | ( | void |  | ) |

Initialize joystick interface on board.

Returns
  Nothing

Initializes board specific joystick.

Initialize joystick interface on board.

Returns
  Nothing

Definition at line 200 of file board_nxp_xpresso_11u14.c.

void Board_SDMMC_Init | ( | void |  | ) |

Initialize pin muxing for SDMMC interface.

Returns
  Nothing

Sets up board specific SDMMC interface.

Returns
  Nothing

Definition at line 691 of file board_hitex_eva_18504350.c.

void Board_SSP_Init | ( | LPC_SSP_T * | pSSP | ) |

Initialize pin muxing for SSP interface.

Parameters

  pSSP | : Pointer to SSP interface to initialize

Returns
  Nothing

Sets up board specific SSP interface.

Parameters

  pSSP | : Pointer to SSP interface to initialize

Returns
  Nothing

Definition at line 169 of file board_nxp_xpresso_1347.c.

void Board_UART_Init | ( | LPC_USART_T * | pUART | ) |

Initialize pin muxing for a UART.

Initialize pin muxing for UART interface.

Parameters

  pUART | : Pointer to UART register block for UART pins to init

Returns
  Nothing

Definition at line 37 of file board_ngx_xplorer_18304330.c.

uint32_t Buttons_GetStatus | ( | void |  | ) |

Returns button(s) state on board.

Returns
  Returns BUTTONS_BUTTON1 if button1 is pressed

Returns button(s) state on board.

Returns
  status of button

Definition at line 191 of file board_nxp_xpresso_11u14.c.

uint8_t Joystick_GetStatus | ( | void |  | ) |

Returns joystick states on board.

Returns
  Returns a JOY_* value, ir JOY_PRESS or JOY_UP

Initialize joystick interface on board.

Returns joystick states on board.

Returns
  status of Joystick

Initialize joystick interface on board.

Returns joystick states on board.

System Clock Frequency (Core Clock)

Definition at line 214 of file board_nxp_xpresso_11u14.c.

void Serial_CreateStream | ( | void * | Stream | ) |

FIXME.

Parameters

  Stream | : FIXME

Returns
  Nothing

FIXME.

Parameters

  Stream | : Pointer to stream

Returns
  Nothing

Definition at line 833 of file board_ea_devkit_17884088.c.